## oxigraph 0.5.5+ds

=== debian/changelog ===
oxigraph (0.5.5+ds-2) unstable; urgency=medium

  * fix autopkgtests for crate oxttl
  * drop patch 2002_wasm_bindgen_futures,
    obsoleted by Debian package changes

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 19 Feb 2026 19:49:02 +0100

oxigraph (0.5.5+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * (build-)depend on package for crate ryu-js
  * update long description regarding JSON-LD format
  * update and unfuzz patches
  * stop (build-)depend on packages for crates get-random js-sys

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Feb 2026 15:33:38 +0100

oxigraph (0.5.4+ds-4) unstable; urgency=medium

  * provide non-version package for crate oxjsonld
  * update copyright info:
    + license patches same as general upstream license
  * relax (build-, autopkgtest-)dependencies for all crates,
    except autopkgtest-dependencies for own feature-providing provisions

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Feb 2026 11:59:55 +0100
