=== debian/tests/control ===
# check all but default-features tests only on amd64
# avoid checking on riscv64
# skip oxigraph tests strangely failing due to access rights to tempdir

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxjsonld 0.2.3
 --all-targets
Features: test-name=rust-oxjsonld:default
Depends:
 dh-rust,
 librust-oxjsonld-0.2+default-dev,
 librust-tokio-dev,
Restrictions: allow-stderr
Architecture: !riscv64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxjsonld 0.2.3
 --all-targets --all-features
Features: test-name=rust-oxjsonld:@
Depends:
 dh-rust,
 librust-oxjsonld-dev,
 librust-tokio-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxjsonld 0.2.3
 --all-targets --no-default-features
Features: test-name=rust-oxjsonld:
Depends:
 dh-rust,
 librust-oxjsonld-dev,
 librust-tokio-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxjsonld 0.2.3
 --all-targets --no-default-features --features async-tokio
Features: test-name=rust-oxjsonld:async-tokio
Depends:
 dh-rust,
 librust-oxjsonld-0.2+async-tokio-dev,
 librust-tokio-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxjsonld 0.2.3
 --all-targets --no-default-features --features rdf-12
Features: test-name=rust-oxjsonld:rdf-12
Depends:
 dh-rust,
 librust-oxjsonld-0.2+rdf-12-dev,
 librust-tokio-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxrdf 0.3.3
 --all-targets
Features: test-name=rust-oxrdf:default
Depends:
 dh-rust,
 librust-oxrdf-0.3+default-dev,
Restrictions: allow-stderr
Architecture: !riscv64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxrdf 0.3.3
 --all-targets --all-features
Features: test-name=rust-oxrdf:@
Depends:
 dh-rust,
 librust-oxrdf-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxrdf 0.3.3
 --all-targets --no-default-features
Features: test-name=rust-oxrdf:
Depends:
 dh-rust,
 librust-oxrdf-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxrdf 0.3.3
 --all-targets --no-default-features --features rdf-12
Features: test-name=rust-oxrdf:rdf-12
Depends:
 dh-rust,
 librust-oxrdf-0.3+rdf-12-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxrdf 0.3.3
 --all-targets --no-default-features --features rdfc-10
Features: test-name=rust-oxrdf:rdfc-10
Depends:
 dh-rust,
 librust-oxrdf-0.3+rdfc-10-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxrdf 0.3.3
 --all-targets --no-default-features --features oxsdatatypes
Features: test-name=rust-oxrdf:oxsdatatypes
Depends:
 dh-rust,
 librust-oxrdf-0.3+oxsdatatypes-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxrdfio 0.2.3
